/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hip_ep_c_H_
#define _hip_ep_c_H_
#define hip_ep_c_REC_LEN 18


struct hip_ep_c
{ 
	FLOAT	HCE1;
	FLOAT	HCE2;
	FLOAT	HCE3;
	INT	HCE4;
}; /* End Struct */

typedef struct hip_ep_c hip_ep_c ;


int print_hip_ep_c (hip_ep_c* entry, int decode) ;
int print_hip_ep_c_cols (hip_ep_c* entry, int decode) ;
int print_hip_ep_c_header () ;
FILE* jump_hip_ep_c (long recNum) ; 
 
int read_hip_ep_c (FILE* fp,hip_ep_c* entry) ; 

#define array_hip_ep_c_size 15
struct array_hip_ep_c
{
   int no_entries;
   hip_ep_c data[array_hip_ep_c_size];
};
typedef struct array_hip_ep_c array_hip_ep_c; 
int read_array_hip_ep_c (int no_entries, array_hip_ep_c* array, INT* offset);
int print_array_hip_ep_c (array_hip_ep_c* array, int decode);
int print_array_hip_ep_c_cols (array_hip_ep_c* array, int decode);

#endif /* _hip_ep_c_H_ */
