/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hip_i_H_
#define _hip_i_H_
#define hip_i_REC_LEN 71

#include "ihipi.h" 
#include "hipabsc.h" 
#include "hip_rgc.h" 

struct hip_i
{ 
	INT	IH1;
	FLOAT	IH2;
	FLOAT	IH3;
	FLOAT	IH4;
	FLOAT	IH5;
	FLOAT	IH6;
	FLOAT	IH7;
	CHAR	IH8[2];
	INT	IH9;
	array_hipabsc	ABCISSAE;
}; /* End Struct */

typedef struct hip_i hip_i ;


int print_hip_i (hip_i* entry, int decode) ;
int print_hip_i_cols (hip_i* entry, int decode) ;
int print_hip_i_header () ;
FILE* jump_hip_i (long recNum) ; 
 
int read_hip_i (FILE* fp,hip_i* entry) ; 
FILE* search_hip_i (idx_hip_i* key, hip_i* arecord) ;
#endif /* _hip_i_H_ */
