/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hip_main_H_
#define _hip_main_H_
#define hip_main_REC_LEN 452

#include "ihipmain.h" 
#include "hg_notes.h" 
#include "hd_notes.h" 
#include "hp_notes.h" 
#include "hp_auth.h" 
#include "ihpauth.h" 
#include "ihpnotes.h" 
#include "ihdnotes.h" 
#include "ihgnotes.h" 

struct hip_main
{ 
	CHAR	H0[2];
	INT	H1;
	CHAR	H2[2];
	CHAR	H3[12];
	CHAR	H4[12];
	FLOAT	H5;
	CHAR	H6[2];
	CHAR	H7[2];
	FLOAT	H8;
	FLOAT	H9;
	CHAR	H10[2];
	FLOAT	H11;
	FLOAT	H12;
	FLOAT	H13;
	FLOAT	H14;
	FLOAT	H15;
	FLOAT	H16;
	FLOAT	H17;
	FLOAT	H18;
	FLOAT	H19;
	FLOAT	H20;
	FLOAT	H21;
	FLOAT	H22;
	FLOAT	H23;
	FLOAT	H24;
	FLOAT	H25;
	FLOAT	H26;
	FLOAT	H27;
	FLOAT	H28;
	INT	H29;
	FLOAT	H30;
	INT	H31;
	FLOAT	H32;
	FLOAT	H33;
	FLOAT	H34;
	FLOAT	H35;
	CHAR	H36[2];
	FLOAT	H37;
	FLOAT	H38;
	CHAR	H39[2];
	FLOAT	H40;
	FLOAT	H41;
	CHAR	H42[2];
	CHAR	H43[2];
	FLOAT	H44;
	FLOAT	H45;
	FLOAT	H46;
	INT	H47;
	CHAR	H48[2];
	FLOAT	H49;
	FLOAT	H50;
	FLOAT	H51;
	CHAR	H52[2];
	CHAR	H53[2];
	CHAR	H54[2];
	CHAR	H55[11];
	CHAR	H56[2];
	INT	H57;
	INT	H58;
	CHAR	H59[2];
	CHAR	H60[2];
	CHAR	H61[2];
	CHAR	H62[3];
	INT	H63;
	FLOAT	H64;
	FLOAT	H65;
	FLOAT	H66;
	FLOAT	H67;
	CHAR	H68[2];
	CHAR	H69[2];
	CHAR	H70[2];
	INT	H71;
	CHAR	H72[11];
	CHAR	H73[11];
	CHAR	H74[11];
	FLOAT	H75;
	CHAR	H76[13];
	CHAR	H77[4];
	array_hg_notes	HGNOTES;
	array_hd_notes	HDNOTES;
	array_hp_notes	HPNOTES;
	array_hp_auth	AUTHREF;
}; /* End Struct */

typedef struct hip_main hip_main ;


int print_hip_main (hip_main* entry, int decode) ;
int print_hip_main_cols (hip_main* entry, int decode) ;
int print_hip_main_header () ;
FILE* jump_hip_main (long recNum) ; 
 
int read_hip_main (FILE* fp,hip_main* entry) ; 
FILE* search_hip_main (idx_hip_main* key, hip_main* arecord) ;
#endif /* _hip_main_H_ */
