/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hp_auth_H_
#define _hp_auth_H_
#define hp_auth_REC_LEN 82

#include "ihpauth.h" 

struct hp_auth
{ 
	CHAR	PA1[7];
	CHAR	PA2[75];
}; /* End Struct */

typedef struct hp_auth hp_auth ;


int print_hp_auth (hp_auth* entry, int decode) ;
int print_hp_auth_cols (hp_auth* entry, int decode) ;
int print_hp_auth_header () ;
FILE* jump_hp_auth (long recNum) ; 
 
int read_hp_auth (FILE* fp,hp_auth* entry) ; 

#define array_hp_auth_size 70
struct array_hp_auth
{
   int no_entries;
   hp_auth data[array_hp_auth_size];
};
typedef struct array_hp_auth array_hp_auth; 
int read_array_hp_auth (int no_entries, array_hp_auth* array);
int print_array_hp_auth (array_hp_auth* array, int decode);
int print_array_hp_auth_cols (array_hp_auth* array, int decode);

FILE* search_hp_auth (INT* key, array_hp_auth* array) ;
#endif /* _hp_auth_H_ */
