/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _idx_hd_notes_H_
#define _idx_hd_notes_H_
#define idx_hd_notes_REC_LEN 13


struct idx_hd_notes
{ 
	INT	HIPID;
	INT	RECNO;
}; /* End Struct */

typedef struct idx_hd_notes idx_hd_notes ;


#define idx_hd_notes_entries     1245 

long find_idx_hd_notes (INT* key); 
int load_idx_hd_notes (char* ifile, idx_hd_notes* index) ;
int getnext_idx_hd_notes (FILE* fp, idx_hd_notes* entry); 
#endif /* _idx_hd_notes_H_ */
