/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _idx_hip_va_H_
#define _idx_hip_va_H_
#define idx_hip_va_REC_LEN 16


struct idx_hip_va
{ 
	INT	HIPID;
	INT	ANNEX;
	INT	RECNO;
}; /* End Struct */

typedef struct idx_hip_va idx_hip_va ;


#define idx_hip_va_entries     8254 

idx_hip_va* find_idx_hip_va (INT* key); 
int load_idx_hip_va (char* ifile, idx_hip_va* index) ;
int getnext_idx_hip_va (FILE* fp, idx_hip_va* entry); 
#endif /* _idx_hip_va_H_ */
