/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _solar_hp_H_
#define _solar_hp_H_
#define solar_hp_REC_LEN 65


struct solar_hp
{ 
	INT	SHP1;
	FLOAT	SHP2;
	FLOAT	SHP3;
	FLOAT	SHP4;
	FLOAT	SHP5;
	FLOAT	SHP6;
	FLOAT	SHP7;
	FLOAT	SHP8;
	FLOAT	SHP9;
}; /* End Struct */

typedef struct solar_hp solar_hp ;


int print_solar_hp (solar_hp* entry, int decode) ;
int print_solar_hp_cols (solar_hp* entry, int decode) ;
int print_solar_hp_header () ;
FILE* jump_solar_hp (long recNum) ; 
 
int read_solar_hp (FILE* fp,solar_hp* entry) ; 

#define array_solar_hp_size 120
struct array_solar_hp
{
   int no_entries;
   solar_hp data[array_solar_hp_size];
};
typedef struct array_solar_hp array_solar_hp; 
int read_array_solar_hp (int no_entries, array_solar_hp* array, INT* offset);
int print_array_solar_hp (array_solar_hp* array, int decode);
int print_array_solar_hp_cols (array_solar_hp* array, int decode);

#endif /* _solar_hp_H_ */
