/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _solar_t_H_
#define _solar_t_H_
#define solar_t_REC_LEN 97


struct solar_t
{ 
	INT	ST1;
	FLOAT	ST2;
	FLOAT	ST3;
	FLOAT	ST4;
	FLOAT	ST5;
	FLOAT	ST6;
	INT	ST7;
	FLOAT	ST8;
	FLOAT	ST9;
	FLOAT	ST10;
	FLOAT	ST11;
	INT	ST12;
	FLOAT	ST13;
	FLOAT	ST14;
}; /* End Struct */

typedef struct solar_t solar_t ;


int print_solar_t (solar_t* entry, int decode) ;
int print_solar_t_cols (solar_t* entry, int decode) ;
int print_solar_t_header () ;
FILE* jump_solar_t (long recNum) ; 
 
int read_solar_t (FILE* fp,solar_t* entry) ; 

#define array_solar_t_size 60
struct array_solar_t
{
   int no_entries;
   solar_t data[array_solar_t_size];
};
typedef struct array_solar_t array_solar_t; 
int read_array_solar_t (int no_entries, array_solar_t* array, INT* offset);
int print_array_solar_t (array_solar_t* array, int decode);
int print_array_solar_t_cols (array_solar_t* array, int decode);

#endif /* _solar_t_H_ */
