/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hip_ep_e_H_
#define _hip_ep_e_H_
#define hip_ep_e_REC_LEN 46

#include "ihipep.h" 
#include "hepetran.h" 
#include "hip_ep_c.h" 

struct hip_ep_e
{ 
	INT	HHE1;
	CHAR	HHE2[2];
	FLOAT	HHE3;
	INT	HHE4;
	INT	HHE5;
	FLOAT	HHE6;
	FLOAT	HHE7;
	FLOAT	HHE8;
	FLOAT	HHE9;
	INT	HHE10;
	FLOAT	HHE11;
	array_hepetran	TRANSITS;
}; /* End Struct */

typedef struct hip_ep_e hip_ep_e ;


int print_hip_ep_e (hip_ep_e* entry, int decode) ;
int print_hip_ep_e_cols (hip_ep_e* entry, int decode) ;
int print_hip_ep_e_header () ;
FILE* jump_hip_ep_e (long recNum) ; 
 
int read_hip_ep_e (FILE* fp,hip_ep_e* entry) ; 
FILE* search_hip_ep_e (idx_hip_ep* key, hip_ep_e* arecord) ;
#endif /* _hip_ep_e_H_ */
