/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _hiptrans_H_
#define _hiptrans_H_
#define hiptrans_REC_LEN 30


struct hiptrans
{ 
	FLOAT	HT1;
	FLOAT	HT2;
	FLOAT	HT3;
	BITS	HT4;
}; /* End Struct */

typedef struct hiptrans hiptrans ;


int print_hiptrans (hiptrans* entry, int decode) ;
int print_hiptrans_cols (hiptrans* entry, int decode) ;
int print_hiptrans_header () ;
FILE* jump_hiptrans (long recNum) ; 
 
int read_hiptrans (FILE* fp,hiptrans* entry) ; 

#define array_hiptrans_size 390
struct array_hiptrans
{
   int no_entries;
   hiptrans data[array_hiptrans_size];
};
typedef struct array_hiptrans array_hiptrans; 
int read_array_hiptrans (FILE* fp,int no_entries, array_hiptrans* array);
int print_array_hiptrans (array_hiptrans* array, int decode);
int print_array_hiptrans_cols (array_hiptrans* array, int decode);

#endif /* _hiptrans_H_ */
