/*  Hipparcos ASCII CD-ROM load and search routines Release 1.1 June 1997
    William O'Mullane 
    Astrophysics Division, ESTEC, Noordwijk, The Netherlands. 
    See the readme.pdf file for more information */
#ifndef _idx_hip_dm_c_H_
#define _idx_hip_dm_c_H_
#define idx_hip_dm_c_REC_LEN 18

#include "ccdm.h" 

struct idx_hip_dm_c
{ 
	ccdm	dmc_idx1;
	INT	dmc_idx2;
}; /* End Struct */

typedef struct idx_hip_dm_c idx_hip_dm_c ;


#define idx_hip_dm_c_entries    12195 

long find_idx_hip_dm_c (ccdm* key); 
int load_idx_hip_dm_c (char* ifile, idx_hip_dm_c* index) ;
int getnext_idx_hip_dm_c (FILE* fp, idx_hip_dm_c* entry); 
#endif /* _idx_hip_dm_c_H_ */
